Subject: bug#9112: closed (Re: bug#9112: 24.0.50; EasyPG - creating new gpg-encrypted files fails)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Aug 2011 21:33:03 +0000

Your bug report

#9112: 24.0.50; EasyPG - creating new gpg-encrypted files fails

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9112: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9112
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9112: 24.0.50; EasyPG - creating new gpg-encrypted files fails
From: Daiki Ueno <[email-masked]>
To: "Roland Winkler" <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Aug 2011 06:32:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9112 notabug
thanks

"Roland Winkler" <[email-masked]> writes:

>> The default value of epa-file-select-keys has changed from nil to
>> 'silent in Emacs 24, which means symmetric encryption is now default.
>> You could set the variable to nil for the compatible behavior.  
>
> I see. Just curious: what was the reason for this change? I browsed
> emacs-devel and bug-gnu-emacs (and etc/NEWS), but I could not find
> anything.

I found the bug which caused this change:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7487#49

> ...Well, it would be nice if either gpg or emacs could tell the user
> that the file the user wants to save is just about to go through
> symmetric encryption (and not any other encryption mechanism the
> user might hope for). Otherwise, any misunderstanding concerning the
> encryption mechanism could imply that a file is essentially lost
> after saving.

Right, but some people (Ted and Lars at least) feel the behavior too
verbose.  Maybe pinentry could be improved to display what gpg will do.
Actually I sometimes use gnome-keyring-daemon's gpg-agent support, which
displays two passphrase entries for confirmation and that implies
symmetric encryption.

Regards,
-- 
Daiki Ueno

Subject: 24.0.50; EasyPG - creating new gpg-encrypted files fails
From: "Roland Winkler" <[email-masked]>
To: [email-masked]
Date: Sun, 17 Jul 2011 21:53:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

With Emacs 23 I could create new gpg-encrypted files by simply
giving the file name the extension .gpg. Then emacs would ask me
which public keys to use for encryption. Now emacs will pop up a
pinentry window which doesn't do anything useful. Whatever I enter
there results in the error message

 Opening output file: Encrypt failed: ((exit))

But I cannot select anymore the public keys I want to use for
encryption. The bottom line is that I don't know anymore what I
could / should do to create new gpg-encrypted files.

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-07-16 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_GB.utf8
  value of $LANG: en_US.ISO-8859-15
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-9-unix
  default enable-multibyte-characters: t